---
name: Bug report
about: Create a report to help us improve
title: ''
labels: ''
assignees: ''

---

Please read before creating a new issue:

1. Make sure there is not already an open issue for this bug.
2. All enhancements **must** be off. To quickly disable all enhancements with affecting your normal config, in advanced options you can check "Disable All Enhancements".
3. All advanced options **must** be at their default values.
4. No cheats may be active. If you were using cheats, they should be disabled, and the game rebooted before reporting the bug.
5. Do not share save state files. Memory cards are okay.
6. Verify your dump, as we can not assist with issues resulting from bad dumps.
7. If playing PAL region software, please check whether or not the game has LibCrypt protection and that if it does, you have a correct SBI file (see https://github.com/stenzek/duckstation#libcrypt-protection-and-sbi-files for more information).
8. Please post your issue report in English as unfortunately this is the only language spoken by the developers. The Discord server has many helpful people if you need help translating.

**Remove everything before and including this line before submitting.**

**Game details**
[Serial Code, Region]
[i.e SLUS-00404 Ace Combat 2 (USA)]

**Description of the issue / bug**
[Describe what you are seeing and/or hearing during gameplay]

**Controller Troubleshoot Report**
1. Have you installed any drivers or wrappers on your system, or do you have any programs like Steam open?
2. Which controller backend are you using in general settings

**Note:**
If you are using Duckstation on Android device please consider the following before report:
Are you using any kind of "memory optimizer" program such as: Ccleaner, Wisecleaner, Clean Master, Boost Android etc. ?
(if so, please, consider create an exception on it first and test; or even remove / uninstall it retest and then, if the problem persists continue with the report.

**Steps to reproduce**
[Try to provide as much detail as possible to reproduce the issue]

**Enhancements information**
[Make sure they are all turned off before report]

**Hardware/software**
[If Android, which phone and Android version]
[If desktop, your CPU, graphics card, and operating system]
[GPU Renderer - D3D11/OpenGL/Vulkan]

**Emulator version**
[Shown in the title bar of the emulator]

**Additional context**
[Add any other context about the problem here]

